Bug 1897995 - [GSS] mgr restful encountering AttributeError while humanifying command
Summary: [GSS] mgr restful encountering AttributeError while humanifying command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Mgr Plugins
Version: 4.1
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: 4.2
Assignee: Boris Ranto
QA Contact: Pawan
Amrita
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-11-16 03:48 UTC by Prashant Dhange
Modified: 2021-06-09 16:16 UTC (History)
10 users (show)

Fixed In Version: ceph-14.2.11-87.el8cp, ceph-14.2.11-87.el7cp
Doc Type: Bug Fix
Doc Text:
.The restful module API endpoints are now accessible Previously, the restful module used `dict.iteritems` which is no longer available in python 3. As a result a number of restful module API endpoints were not accessible. With this release, the restful module has been updated to use `dic.items` and the API endpoints are accessible.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:58:11 UTC
Target Upstream Version:
pdhange: automate_bug?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph pull 29356 0 None closed pybind/mgr/restful: use dict.items() for py3 compatible 2021-02-19 23:33:50 UTC
Red Hat Knowledge Base (Solution) 5588471 0 None None None 2020-11-20 06:01:44 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:58:31 UTC

Comment 16 errata-xmlrpc 2021-01-12 14:58:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.